## regolith-control-center 1.48.1-9-1regolith

=== debian/changelog ===
regolith-control-center (1.48.1-9-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:14:34 +0000

regolith-control-center (1.48.1-9) plucky; urgency=medium

  * fix: dconf namespace for regolith settings

 -- Ken Gilmer <kgilmer@gmail.com>  Tue, 29 Apr 2025 18:31:59 -0700

regolith-control-center (1.48.1-8) plucky; urgency=medium

  * fix: don't ship upstream sound files

 -- Ken Gilmer <kgilmer@gmail.com>  Tue, 29 Apr 2025 16:42:02 -0700

regolith-control-center (1.48.1-7) plucky; urgency=medium

  * fix: remove more upstream icons
  * fix: remove faces from packaging

 -- Ken Gilmer <kgilmer@gmail.com>  Tue, 29 Apr 2025 07:49:52 -0700

regolith-control-center (1.48.1-6) plucky; urgency=medium

  * fix: omit upstream policy files from package

 -- Ken Gilmer <kgilmer@gmail.com>  Mon, 28 Apr 2025 21:58:02 -0700

regolith-control-center (1.48.1-5) plucky; urgency=medium

  * fix: remove upstream dbus interface

 -- Ken Gilmer <kgilmer@gmail.com>  Mon, 28 Apr 2025 21:33:34 -0700

regolith-control-center (1.48.1-3) plucky; urgency=medium

  * fix: remove images provided by upstream
  * chore: remove upstream patches after apply

 -- Ken Gilmer <kgilmer@gmail.com>  Mon, 28 Apr 2025 20:59:46 -0700

regolith-control-center (1.48.1-2) plucky; urgency=medium

  * fix: remove files shipped from upstream

 -- Ken Gilmer <kgilmer@gmail.com>  Mon, 28 Apr 2025 18:59:55 -0700

regolith-control-center (1.48.0-1) unstable; urgency=medium

  [ Ken Gilmer ]
  * Port from GNOME 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 16:20:22 -0400

gnome-control-center (1:48~rc.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gnome-settings-daemon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 10:00:55 -0400

gnome-control-center (1:48~beta-2) unstable; urgency=medium

  * Bump minimum gnome-settings-daemon
  * Increase dh_auto_test multiplier to see if it fixes the riscv64 network test
  * debhelper 13.24 makes dh_auto_test verbose so remove that part of our patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 11:26:12 -0500

gnome-control-center (1:48~beta-1) unstable; urgency=medium

  * New upstream release
    - The new Wellbeing panel won't work without GNOME Shell 48 Beta
  * Bump dependencies
  * Remove display join mode patch: applied in new release
  * Remove test multiplier override: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 10:32:37 -0500

gnome-control-center (1:47.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Jan 2025 08:34:12 -0900

gnome-control-center (1:47.2-4) unstable; urgency=medium

  * Demote malcontent-gui from Depends to Recommends.
    Thanks to asciiwolf (Closes: #1091092)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 07:58:08 -0900

gnome-control-center (1:47.2-3) unstable; urgency=medium

  * Add Recommends: mobile-broadband-provider-info
    network-manager-applet Recommends this but not nm-connection-editor
    which we use now instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 15:02:40 -0500

gnome-control-center (1:47.2-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Increase test timeout (Closes: #1089212)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 08:49:47 -0500

gnome-control-center (1:47.2-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 03 Dec 2024 12:05:01 +0100

gnome-control-center (1:47.1.1-3) unstable; urgency=medium

  [ ChunAn Wu ]
  * Can't set join mode from mirror mode (LP: #2084407)
    d/p/display-snap-Monitors-after-updating-prefer-mode.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Nov 2024 10:50:03 +0100

gnome-control-center (1:47.1.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Add Depends: mutter-common for Multitasking panel (LP: #1875243).
    It is also needed by Ubuntu's fractional scaling patch.

  [ Simon McVittie ]
  * d/control: Recommend nm-connection-editor instead of
    network-manager-gnome.
    The package was split in 1.36.0-3 to separate nm-connection-editor
    (which we use to configure cellular modems and devices of any
    otherwise-unsupported type) from nm-applet (which we do not use
    in GNOME). Continue to accept older versions of n-m-gnome as an
    alternative, to be nice to users of backports and Ubuntu.
  * Remove version constraints that are obsolete since Debian 11.
    Thanks: deb-scrub-obsolete
  * Replace Suggests on transitional package gstreamer1.0-pulseaudio with
    gstreamer1.0-plugins-good (>= 1.18.0). Thanks: deb-scrub-obsolete
  * d/copyright: Update location of backward-compatible time zone list

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 12:32:34 +0000

gnome-control-center (1:47.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Oct 2024 13:02:27 -0400

gnome-control-center (1:47.1-1) unstable; urgency=medium

  * New upstream release
    - Generate one background thumbnail at a time to improve usability
      on systems with limited memory (Closes: #1079580, #1085760)
  * Bump minimum gsettings-desktop-schemas
  * Remove 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Oct 2024 10:27:04 -0400

gnome-control-center (1:47.0.1-2) unstable; urgency=medium

  * Cherry-pick patch to hide Remote Desktop panel if gnome-remote-desktop
    isn't available
  * Demote gnome-remote-desktop from Depends to Recommends
    (Closes: #1014879, #1079256)
  * Cherry-pick a Wacom crash fix
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:46:57 -0400

gnome-control-center (1:47.0.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release



## regolith-control-center 1.48.1-10

=== meson_options.txt ===
option('deprecated-declarations', type: 'feature', value: 'disabled', description: 'build with deprecated declaration warnings')
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('location-services', type: 'feature', value: 'disabled', description: 'build with location services')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: false, description: 'build with Snap support')
option('tests', type: 'boolean', value: false, description: 'build tests')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')
option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
option('distributor_logo', type: 'string', description: 'absolute path to distributor logo for the About panel')
option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')

## regolith-control-center 1.48.1-10-1regolith

=== debian/changelog ===
regolith-control-center (1.48.1-10-1regolith-testing) testing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 20 Oct 2025 01:48:07 +0000

regolith-control-center (1.48.1-10) plucky; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 20 Oct 2025 01:46:07 +0000

=== debian/control ===
Source: regolith-control-center
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome (>= 0.22.2),
               gnome-settings-daemon-dev (>= 48~rc),
               gsettings-desktop-schemas-dev (>= 48~alpha),
               gtk-doc-tools,
               libaccountsservice-dev (>= 23.11.69),
               libadwaita-1-dev (>= 1.7~alpha),
               libcolord-dev,
               libcolord-gtk4-dev (>= 0.1.24),
               libcups2-dev,
               libgcr-4-dev [linux-any],
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.76.6),
               libgnome-bg-4-dev,
               libgnome-bluetooth-ui-3.0-dev [linux-any],
               libgnome-desktop-4-dev,
               libgnome-rr-4-dev,
               libgnutls28-dev,
               libgoa-1.0-dev (>= 3.51.0),
               libgoa-backend-1.0-dev (>= 3.51.0),
               libgsound-dev,
               libgtk-4-dev (>= 4.15.2),
               libgtop2-dev,
               libgudev-1.0-dev [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libibus-1.0-dev,
               libjson-glib-dev,
               libkrb5-dev,
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
               libmm-glib-dev [linux-any],
               libnm-dev [linux-any],
               libnma-gtk4-dev (>= 1.10.2) [linux-any],
               libpolkit-gobject-1-dev,
               libpulse-dev,
               libpwquality-dev,
               libsecret-1-dev,
               libsmbclient-dev,
               libsoup-3.0-dev,
               libudisks2-dev,
               libupower-glib-dev (>= 1.90.6),
               libwacom-dev [linux-any],
               libx11-dev (>= 2:1.8),
               libxft-dev,
               libxi-dev,
               libxklavier-dev,
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.57.0),
               polkitd,
               python3-dbusmock,
               shared-mime-info,
               tecla (>= 47),
               tzdata <!nocheck>,
               xvfb
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: regolith-control-center
Architecture: any
Depends: accountsservice (>= 23.11.69),
         apg,
         colord,
         desktop-base,
         desktop-file-utils,
         gnome-control-center-data (<< 1:49),
         gnome-control-center-data (>= 1:48~beta-1),
         gnome-desktop3-data,
         gnome-online-accounts (>= 3.51.0),
         gnome-settings-daemon (>= 48~rc),
         gsettings-desktop-schemas (>= 48~alpha),
         heif-gdk-pixbuf,
         heif-thumbnailer,
         libjxl-gdk-pixbuf,
         tecla (>= 47),
         webp-pixbuf-loader,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cracklib-runtime,
            cups-pk-helper,
            fwupd [linux-any],
            gnome-bluetooth-sendto,
            gnome-remote-desktop (>= 47),
            gnome-user-docs,
            gnome-user-share,
            iso-codes,
            libcanberra-pulse,
            libnss-myhostname,
            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
            mobile-broadband-provider-info,
            nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
            polkitd,
            power-profiles-daemon,
            realmd,
            rygel | rygel-tracker,
            system-config-printer-common
Suggests: gnome-software | gnome-packagekit,
          gstreamer1.0-plugins-good (>= 1.18.0),
          x11-xserver-utils
Breaks: gnome-remote-desktop (<< 42),
        gnome-shell (<< 42)
Description: utilities to configure the Regolith desktop
 This package contains configuration applets for the Regolith desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

## regolith-control-center 1.49.0-1-1regolith

=== debian/changelog ===
regolith-control-center (1.49.0-1-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 13 Oct 2025 00:52:36 +0000

regolith-control-center (1.49.0-1) questing; urgency=medium

  * Port from upstream

 -- Ken Gilmer <kgilmer@gmail.com>  Sun, 12 Oct 2025 17:37:29 -0700

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               blueprint-compiler (>= 0.17.0),
                desktop-file-utils,
                dh-sequence-gnome (>= 0.22.2),
                gnome-settings-daemon-dev (>= 48~rc),
+               gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 48~alpha),
                gtk-doc-tools,
                libaccountsservice-dev (>= 23.11.69),
-               libadwaita-1-dev (>= 1.7~alpha),
+               libadwaita-1-dev (>= 1.8~alpha),
                libcolord-dev,
                libcolord-gtk4-dev (>= 0.1.24),
                libcups2-dev,
                libgcr-4-dev [linux-any],
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.76.6),
                libgnome-bg-4-dev,
                libgnome-bluetooth-ui-3.0-dev [linux-any],
                libgnome-desktop-4-dev,
-               libgnome-rr-4-dev,
                libgnutls28-dev,
                libgoa-1.0-dev (>= 3.51.0),
                libgoa-backend-1.0-dev (>= 3.51.0),
@@ -38,7 +38,7 @@
                libkrb5-dev,
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
                libmm-glib-dev [linux-any],
-               libnm-dev [linux-any],
+               libnm-dev (>= 1.52.0) [linux-any],
                libnma-gtk4-dev (>= 1.10.2) [linux-any],
                libpolkit-gobject-1-dev,
                libpulse-dev,
@@ -49,65 +49,62 @@
                libudisks2-dev,
                libupower-glib-dev (>= 1.90.6),
                libwacom-dev [linux-any],
-               libx11-dev (>= 2:1.8),
-               libxft-dev,
-               libxi-dev,
-               libxklavier-dev,
+               libwhoopsie-preferences-dev,
                libxml2-dev,
                libxml2-utils,
                locales,
-               meson (>= 0.57.0),
-               polkitd,
-               python3-dbusmock,
+               meson (>= 0.60.0),
+               python3-dbusmock <!nocheck>,
                shared-mime-info,
                tecla (>= 47),
-               tzdata <!nocheck>,
-               xvfb
+               tzdata <!nocheck>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: regolith-control-center
 Architecture: any
 Depends: accountsservice (>= 23.11.69),
-         apg,
          colord,
          desktop-base,
          desktop-file-utils,
-         gnome-control-center-data (<< 1:49),
-         gnome-control-center-data (>= 1:48~beta-1),
+         gnome-control-center-data (<< 1:50),
+         gnome-control-center-data (>= 1:49~beta-1),
          gnome-desktop3-data,
          gnome-online-accounts (>= 3.51.0),
          gnome-settings-daemon (>= 48~rc),
          gsettings-desktop-schemas (>= 48~alpha),
          heif-gdk-pixbuf,
          heif-thumbnailer,
+         language-selector-gnome (>= 0.179~),
          libjxl-gdk-pixbuf,
+         mutter-common (>= 47),
          tecla (>= 47),
          webp-pixbuf-loader,
+         whoopsie-preferences,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cracklib-runtime,
             cups-pk-helper,
             fwupd [linux-any],
             gnome-bluetooth-sendto,
+            gnome-control-center-faces,
             gnome-remote-desktop (>= 47),
             gnome-user-docs,
-            gnome-user-share,
+            ibus,
             iso-codes,
             libcanberra-pulse,
-            libnss-myhostname,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
-            malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
             mobile-broadband-provider-info,
             nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
             polkitd,
             power-profiles-daemon,
-            realmd,
             rygel | rygel-tracker,
             system-config-printer-common
 Suggests: gnome-software | gnome-packagekit,
+          gnome-user-share,
           gstreamer1.0-plugins-good (>= 1.18.0),
-          x11-xserver-utils
+          malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
+          realmd
 Breaks: gnome-remote-desktop (<< 42),
         gnome-shell (<< 42)
 Description: utilities to configure the Regolith desktop

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DISTRIBUTOR_LOGO := /usr/share/icons/regolith-logo.png
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/regolith-logo.png

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		$(MALCONTENT)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=regolith-control-center-2.0

override_dh_gnome_clean:

## regolith-control-center 1.49.0-2-1regolith

=== debian/changelog ===
regolith-control-center (1.49.0-2-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 13 Oct 2025 02:04:42 +0000

regolith-control-center (1.49.0-2) questing; urgency=medium

  * remove upstream CI files in subprojects
  * Avoid shipping files vended by upstream

 -- Ken Gilmer <kgilmer@gmail.com>  Sun, 12 Oct 2025 19:02:04 -0700

## regolith-control-center 1.49.0-3-1regolith

=== debian/changelog ===
regolith-control-center (1.49.0-3-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 06 Dec 2025 17:21:05 +0000

regolith-control-center (1.49.0-3) questing; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github actions

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 06 Dec 2025 17:19:47 +0000

## regolith-control-center 1.49.0-4-1regolith

=== debian/changelog ===
regolith-control-center (1.49.0-4-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 09 Jan 2026 03:40:55 +0000

regolith-control-center (1.49.0-4) questing; urgency=medium

  * fix: remove unused ubuntu dependency for debian compat

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 08 Jan 2026 05:35:02 -0800

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,6 @@
                libudisks2-dev,
                libupower-glib-dev (>= 1.90.6),
                libwacom-dev [linux-any],
-               libwhoopsie-preferences-dev,
                libxml2-dev,
                libxml2-utils,
                locales,
@@ -80,7 +79,6 @@
          mutter-common (>= 47),
          tecla (>= 47),
          webp-pixbuf-loader,
-         whoopsie-preferences,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cracklib-runtime,
